3
2

More than 3 years have passed since last update.

Freecadの忘備録(自分用)

Posted at

自分用の忘備録です。

 プリミティブの球を作成してigesでエキスポートする(半径と位置を指定して)

Sphere.py
import FreeCAD as APP
import Part
freecad = APP.newDocument("model")
comp_1 = Part.Sphere()
comp_1.Radius=10
myPart = freecad.addObject("Part::Feature","comp_1")
myPart.Shape= comp_1.toShape()
myPart.Placement = App.Placement(App.Vector(100,0,0),App.Rotation(App.Vector(0,0,1),0))
freecad.recompute()
myPart.Shape.MatrixOfInertia
freecad.saveAs("comp_1.FCStd")
Part.export([freecad.Objects[0]],"comp_1.iges")
3
2
1

Register as a new user and use Qiita more conveniently

  1. You get articles that match your needs
  2. You can efficiently read back useful information
  3. You can use dark theme
What you can do with signing up
3
2